Page MenuHomePhabricator

Rename the Semantic Forms extension to "Page Forms"
Closed, DeclinedPublic

Description

Hi,

After much thought and consultation, I've decided that I want to rename my extension, Semantic Forms, to "Page Forms". (Short explanation: Semantic Forms was originally created as a spin-off extension of Semantic MediaWiki, but now can run as an independent extension.)

As far as I know, the renaming has to be done in three places:

Of course, a lot of pages on mediawiki.org as well will have to be moved and modified, but I can take care of that part.

And ideally, the old URLs will redirect to the new ones wherever possible. Most importantly, I want people to keep being able to do "git pull" in their repositories, without having to create a new repository.

That's what I would like done, and whenever it can be done is fine with me. Please let me know if there are any questions/issues.

Thank you,
Yaron

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Paladox moved this task from Bugs & stuff to Repo Admin on the Gerrit board.Oct 7 2016, 7:51 AM

@Peachey88 - "Page Forms"; all of my extensions' names contain spaces. Although as far as I know, on Git/Gerrit and Phabricator the spaces are taken out anyway, so maybe it doesn't really matter...

@Paladox - ah, okay. Well, that sounds fine too... this way, I guess, someone staying on the current "SF" repository will just stay on the current set of code. It's a reasonable way to encourage people to switch over without breaking anyone's installation.

@Yaron_Koren: Phab project renamed, to MediaWiki-extensions-Page_Forms (We swap spaces with either - or _) and aliases setup for mediawiki-extensions-SemanticForms

Peachey88 updated the task description. (Show Details)Oct 8 2016, 1:36 AM
Paladox added a comment.EditedOct 12 2016, 7:56 AM

I've requested that Page Forms be created here https://www.mediawiki.org/wiki/Git/New_repositories/Requests and ask for it to be imported from SemanticForms.

QChris added a subscriber: QChris.Oct 19 2016, 9:48 AM

Sorry for the late reply.

I want people to keep being able to do "git pull" in their repositories, without having to create a new repository

That part won't work out, as Gerrit does not allow to rename projects.
All we can do is hide the old project, and create a new one.

So existing contributors would need to clone the new repo afresh (or update the corresponding remote).

@Yaron_Koren: Given that limitation ... should we hide the SemanticForms extension in Gerrit and re-add the repo as PageForms?

@QChris - right, that's what Paladox said too. I like his suggestion of making the current repository read-only. Which I guess is your suggestion too - although I don't know what you mean by "hide". How would a hidden repository work differently from a visible one?

@Yaron_Koren yes a hidden repo acts differently, it's hidden but wont break gerrit.

Also git clone will not work on that repo.

But what we can do on phabricator diffusion is change the import link to PageForms, so you have two compatible repos, just SemanticForms will be read only on phabricator since we only would need PageForms.

I think for the time being, it's better to keep the Semantic Forms repository visible and working normally (other than being read-only), to avoid any strange issues. (Eventually, it'll be good to make it hidden, and then of course remove it entirely, though probably not for a while.)

What's the import link?

The import link would be the anonymous git clone link for this repo. We cannot remove the remove even in the future.

But you can control weather to put the repo into read only or hidden since you have access to the repo on gerrit

Okay. I still don't fully understand, but basically whatever you want to do is fine - as long as people who are using the Semantic Forms repository don't get an error if they call "git pull".

Ok, READ ONLY mode then, @Yaron_Koren you can do that when ever the PageForms repo is created.

By going to https://gerrit.wikimedia.org/r/#/admin/projects/mediawiki/extensions/SemanticForms and going to Staud: and selecting the read only option.

Doint forget to update the description pointing to the new renamed repo.

Yes... I'll have to update quite a bit!

Created in Gerrit as mediawiki/extensions/PageForms

(I did not mess with the SemanticForms repo, as it seems you'll do that yourself. If you need help with that or want me to do let me know)

Change 316907 had a related patch set uploaded (by Paladox):
Update Name of extension to PageForms

https://gerrit.wikimedia.org/r/316907

@Yaron_Koren as this is a wmf deployed extension, do we need another security review.

We will also need to update the configs in wmf too.

Change 316908 had a related patch set uploaded (by Paladox):
[PageForms] Adding jenkins tests

https://gerrit.wikimedia.org/r/316908

@Yaron_Koren one problem though user will need to clone PageForms to get the current code since SemanticForms wont be updated any more.

@QChris - thank you! As long as the Semantic Forms repository is now read-only, I think everything there is all set. Although - where can I find the new repository in Diffusion?

@Paladox - thank you also! No idea about the security review. And yes, every current SF user will eventually have to do some manual work if they want to stick with the extension; I don't think there's any way around that.

I would think a simple config if up on wmf end. What we should do is kee SemanticForms updated for now and
Rename the files in PageForms and then update translatewiki once we're ready and everything is working and start using that repo.

@Yaron Kpren could you create a task for updating from SemanticForms to PageForms on wmf please?

@Paladox - I don't know what you mean by "keep SemanticForms updated". I hope that repository is read-only already! Otherwise, any changes made to it will be wasted.

It seems too early to create an update task... Page Forms is nowhere near ready yet.

@Yaron_Koren as this is a wmf deployed extension, do we need another security review.

@Paladox: How is your question related to this task about renaming an extension?

@Aklapper well because SemanticForms is a wmf extension it won't be updated and likely break. So we need to switch wmf at the same time too.

@Paladox: My question was about your comment about "needing another security review". You did not answer why you think that could be needed.

@Paladox: My question was about your comment about "needing another security review". You did not answer why you think that could be needed.

Oh sorry I didn't know which part you wanted me to explain, anyways I was wondering if it needed to, to switch extension names, but never mind it doesn't sorry for wasting time.

Change 316907 merged by Yaron Koren:
Update Name of extension to PageForms

https://gerrit.wikimedia.org/r/316907

Change 317267 had a related patch set uploaded (by Paladox):
Fix some more renames

https://gerrit.wikimedia.org/r/317267

Change 317272 had a related patch set (by Paladox) published:
Add PageForms to translations list

https://gerrit.wikimedia.org/r/317272

Change 317267 merged by Yaron Koren:
Fix some more renames

https://gerrit.wikimedia.org/r/317267

Change 317278 had a related patch set uploaded (by Paladox):
More rename fixes

https://gerrit.wikimedia.org/r/317278

Change 317278 merged by Yaron Koren:
More rename fixes

https://gerrit.wikimedia.org/r/317278

Change 317272 merged by jenkins-bot:
Add PageForms to translations list, Drop SemanticForms for translations

https://gerrit.wikimedia.org/r/317272

SemanticForms is now no longer being translated and instead PageForms is now :)

We now need to test it to make sure nothing broke, then we need to update wmf usage to use the new extension and then switch all development to the new extension.

So - as far as you know, is the conversion now done already?

@Yaron_Koren I'm not sure what you mean?

Basically, I want to now if I should start looking into (and potentially modifying) the code, or if you're still planning to make any more changes to it.

@Yaron_Koren oh, yeh you can start modifying the code now, but if I find a change to make can I make the change please?

It wont interfear with your changes.

Okay, great. You are of course always welcome to make more changes! I just didn't want to have conflicting commits.

Unrelated question: is the Page Forms code viewable on Diffusion? If so, what's the URL?

Okay, great. It's strange that it's not "EPAF" or "EPFO", but I'm guessing that wasn't your decision...

Yep not my decision, this is just a callsign.

Change 317398 had a related patch set uploaded (by Paladox):
Rename i18n messages part 1

https://gerrit.wikimedia.org/r/317398

Change 317398 merged by Paladox:
Rename i18n messages part 1

https://gerrit.wikimedia.org/r/317398

Change 317448 had a related patch set uploaded (by Paladox):
Update i18n messages part 2

https://gerrit.wikimedia.org/r/317448

Change 317448 merged by Paladox:
Update i18n messages part 2

https://gerrit.wikimedia.org/r/317448

Change 317449 had a related patch set uploaded (by Paladox):
Add PageForms mw extension as a submodule

https://gerrit.wikimedia.org/r/317449

Change 317449 abandoned by Paladox:
Add PageForms mw extension as a submodule

https://gerrit.wikimedia.org/r/317449

Change 316908 merged by jenkins-bot:
[PageForms] Adding jenkins tests

https://gerrit.wikimedia.org/r/316908

Change 317506 had a related patch set uploaded (by Paladox):
Fix namespace configs and fix extension description

https://gerrit.wikimedia.org/r/317506

Change 317516 had a related patch set uploaded (by Paladox):
Add PageForms as a wmf extension

https://gerrit.wikimedia.org/r/317516

@Yaron_Koren PageForms now has jenkins tests.

Ive also added PageForms to the wmf branching list here https://gerrit.wikimedia.org/r/317516

Change 317534 had a related patch set uploaded (by Paladox):
Fix php tag

https://gerrit.wikimedia.org/r/317534

Change 317534 merged by jenkins-bot:
Fix php tag

https://gerrit.wikimedia.org/r/317534

Change 317506 merged by jenkins-bot:
Fix namespace configs and fix extension description

https://gerrit.wikimedia.org/r/317506

Change 317516 merged by jenkins-bot:
Add PageForms as a wmf extension

https://gerrit.wikimedia.org/r/317516

Change 319131 had a related patch set (by Paladox) published:
Wikitech: Switching from using SemanticForms to PageForms extension

https://gerrit.wikimedia.org/r/319131

@Yaron_Koren that's because the gerrit clone link is hidden by default because it is mirror

An admin will need to make the link visible.

demon closed this task as Declined.Jan 6 2017, 4:14 AM
demon added a subscriber: demon.

We don't rename repositories, plus this already happened as a second repo entirely.